<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Tổng quan">
            <ItemBreadcrumb isRouteLink nameRoute="admin-user">
                Quản lý người dùng
            </ItemBreadcrumb>
            <ItemBreadcrumb>Cập nhật</ItemBreadcrumb>
        </Breadcrumb>
    </div>
    <div class="card">
        <div class="card-header">
            <div v-if="isLoading" class="text-center">
                <SpinLoading />
            </div>
            <UpdateUserForm v-else :user="user" />
        </div>
    </div>
</template>

<script>
import { useRoute } from "vue-router";

import useGetUser from "@/hooks/user/useGetUser";

import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import SpinLoading from "@/components/loading/SpinLoading.vue";
import UpdateUserForm from "@/components/user/UpdateUserForm.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        SpinLoading,
        UpdateUserForm
    },
    setup() {
        const route = useRoute();
        const { isLoading, user, onGetUser } = useGetUser();

        async function getUser() {
            await onGetUser(route.params.userId);
        }
        getUser();

        return { isLoading, user };
    }
};
</script>
